#include <stdio.h>
#include <stdlib.h>
#include <strings.h>

#define L1_BOUND  5
#define L2_BOUND  6
#define L3_BOUND  7
#define L4_BOUND  8
#define L5_BOUND  9
#define L6_BOUND  10
#define L7_BOUND  11
#define L8_BOUND  12

int a=0,b=0,c=0,d=0,e=0,f=0,g=0;

int main(int argc, char **argv)
{
  int ii = 0;
  int jj = 0;
  int kk = 0;
  int ll = 0;
  int mm = 0;
  int nn = 0;
  int oo = 0;
  int pp = 0;
  int qq = 0;
  int rr = 0;
  int ss = 0;

/* fixed: bound = 5 */  
  for (ii = 0; ii < L1_BOUND; ii++)
  {
    a++;
  }

/* fixed: bound = 7 */
  for (jj = L2_BOUND; jj >=0; jj--)
  {
    b++;
  }

/* fixed: bound = 6 */
  for (kk = 1; kk < L3_BOUND; kk = kk * 2)
  {
    c++;
  }

/* fixed: bound = 8 */
  for (ll = L4_BOUND; ll >= 1; ll = ll >> 2)
  {
    d++;
  }

/* fixed: bound = 10 */
  for (mm = 0; mm <= L5_BOUND; mm++)
  {
/* fixed: bound = 11 */
    for (nn = 0; nn <= L6_BOUND; nn++)
    {
      e++;
    }
  }

/* triangular */
  for (oo = 0; oo < L6_BOUND; oo++)
  {
    for (pp = 0; pp < oo; pp++)
    {
      f++;
    }
  }

/* triangular */
  for (qq = 0; qq < L7_BOUND; qq++)
  {
    for (rr = qq; rr < L8_BOUND; rr++)
    {
      if (rr == 2) g += 9;
      g++;
    }
  }

/* unpredictable */
  for (qq = 0; qq < a; qq++)
  {
    a++;
    printf("hi:%d", a);
  }

  return (a+b+c+d+e+f+g);
}
